# stages of the cicd pipeline
stages:
  - build
  - test
  - dependencies
  - deploy
  - integration_test

# include the individual .gitlab-ci.yml of each micro-service
include: 
  - local: '/manifests/.gitlab-ci.yml'
  #- local: '/src/monitoring/.gitlab-ci.yml'
  - local: '/src/context/.gitlab-ci.yml'
  - local: '/src/device/.gitlab-ci.yml'
  - local: '/src/service/.gitlab-ci.yml'
  - local: '/src/integration_tester/.gitlab-ci.yml'
